<?php

namespace Drupal\disable_ui_test\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Controller for test routes for disable_ui.
 */
class TestController extends ControllerBase {

  /**
   * Route callback for a path that should be disabled.
   */
  public function disabledRoute() {
    return [
      '#markup' => 'Custom route that should be disabled without permission',
    ];
  }

  /**
   * Route callback for a path that should be excluded with defined json format.
   */
  public function jsonFormatRoute() {
    return new JsonResponse(['test' => 'JSON format route is excluded']);
  }

  /**
   * Route callback for a path that should be excluded explicitly with hook.
   */
  public function excludedByHookRoute() {
    return [
      '#markup' => 'Custom route that should be excluded with hook_disable_ui_route_exclusions',
    ];
  }

}
