<?php

namespace Drupal\Tests\disable_ui\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\node\NodeInterface;

/**
 * Base class for disable_ui functional tests.
 *
 * @group disable_ui
 */
abstract class DisableUiFunctionalTestBase extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * User with permission to access UI routes and access content.
   *
   * @var \Drupal\user\Entity\User
   */
  protected $user;

  /**
   * The nodes.
   *
   * @var \Drupal\node\Entity\Node[]
   */
  protected $nodes = [];

  /**
   * Modules list.
   *
   * @var array
   */
  protected static $modules = [
    'node',
    'path',
    'disable_ui',
    'disable_ui_test',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->user = $this->drupalCreateUser([
      'access content',
      'access ui route',
    ]);
    $this->drupalCreateContentType([
      'type' => 'page',
      'name' => 'Page',
    ]);
    for ($i = 0; $i < 5; $i++) {
      $id = $this->randomMachineName(12);
      $title = 'Disable UI test node - ' . $id;
      $this->nodes[] = $this->drupalCreateNode([
        'type' => 'page',
        'title' => $title,
        'status' => NodeInterface::PUBLISHED,
        'path' => '/disable-ui-test-node-' . $id,
      ]);
    }
  }

}
